Skip to main content
GET
/
rooms
/
{room_id}
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const room = await client.rooms.retrieve('0ccc7b54-4df3-4bca-a65a-3da1ecc777f0');

console.log(room.data);
{
  "data": {
    "id": "7b61621f-62e0-4aad-ab11-9fd19e272e73",
    "max_participants": 50,
    "unique_name": "My Room",
    "created_at": "2021-04-16T09:46:20.954863Z",
    "updated_at": "2021-04-16T10:24:55.962200Z",
    "active_session_id": "7b61621f-62e0-4aad-ab11-9fd19e272e74",
    "enable_recording": true,
    "webhook_event_failover_url": "https://failover.example.com",
    "webhook_timeout_secs": 25,
    "webhook_event_url": "https://www.example.com",
    "sessions": [
      {
        "id": "7b61621f-62e0-4aad-ab11-9fd19e272e74",
        "room_id": "7b61621f-62e0-4aad-ab11-9fd19e272e73",
        "active": true,
        "created_at": "2021-04-16T09:46:20.954863Z",
        "updated_at": "2021-04-16T10:24:55.962200Z",
        "participants": [],
        "record_type": "room_session"
      }
    ],
    "record_type": "room"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

room_id
string<uuid>
required

The unique identifier of a room.

Example:

"0ccc7b54-4df3-4bca-a65a-3da1ecc777f0"

Query Parameters

include_sessions
boolean

To decide if room sessions should be included in the response.

Example:

true

Response

Get room response.

data
object
Example:
{
  "id": "7b61621f-62e0-4aad-ab11-9fd19e272e73",
  "max_participants": 50,
  "unique_name": "My Room",
  "created_at": "2021-04-16T09:46:20.954863Z",
  "updated_at": "2021-04-16T10:24:55.962200Z",
  "active_session_id": "7b61621f-62e0-4aad-ab11-9fd19e272e74",
  "enable_recording": true,
  "webhook_event_failover_url": "https://failover.example.com",
  "webhook_timeout_secs": 25,
  "webhook_event_url": "https://www.example.com",
  "sessions": [
    {
      "id": "7b61621f-62e0-4aad-ab11-9fd19e272e74",
      "room_id": "7b61621f-62e0-4aad-ab11-9fd19e272e73",
      "active": true,
      "created_at": "2021-04-16T09:46:20.954863Z",
      "updated_at": "2021-04-16T10:24:55.962200Z",
      "participants": [],
      "record_type": "room_session"
    }
  ],
  "record_type": "room"
}